Loading...
Searching...
No Matches
gr::tpb_detail Struct Reference

used by thread-per-block scheduler More...

`#include <gnuradio/tpb_detail.h>`

## Public Member Functions

| tpb_detail ()
void | notify_upstream (block_detail *d)
| Called by us to tell all our upstream blocks that their output may have changed.
void | notify_downstream (block_detail *d)
| Called by us to tell all our downstream blocks that their input may have changed.
void | notify_neighbors (block_detail *d)
| Called by us to notify both upstream and downstream.
void | notify_msg ()
| Called by pmt msg posters.
void | clear_changed ()
| Called by us.

## Public Attributes

gr::thread::mutex | mutex
bool | input_changed
gr::thread::condition_variable | input_cond
bool | output_changed
gr::thread::condition_variable | output_cond

## Detailed Description

used by thread-per-block scheduler

## Constructor & Destructor Documentation

## tpb_detail()

gr::tpb_detail::tpb_detail | ( |  | ) |

inline

References input_changed, and output_changed.

## Member Function Documentation

## clear_changed()

void gr::tpb_detail::clear_changed | ( |  | ) |

inline

Called by us.

References input_changed, mutex, and output_changed.

## notify_downstream()

void gr::tpb_detail::notify_downstream | ( | block_detail * | d | ) |

Called by us to tell all our downstream blocks that their input may have changed.

## notify_msg()

void gr::tpb_detail::notify_msg | ( |  | ) |

inline

Called by pmt msg posters.

References input_changed, input_cond, mutex, output_changed, and output_cond.

## notify_neighbors()

void gr::tpb_detail::notify_neighbors | ( | block_detail * | d | ) |

Called by us to notify both upstream and downstream.

## notify_upstream()

void gr::tpb_detail::notify_upstream | ( | block_detail * | d | ) |

Called by us to tell all our upstream blocks that their output may have changed.

## Member Data Documentation

## input_changed

bool gr::tpb_detail::input_changed

Referenced by clear_changed(), notify_msg(), and tpb_detail().

## input_cond

gr::thread::condition_variable gr::tpb_detail::input_cond

Referenced by notify_msg().

## mutex

gr::thread::mutex gr::tpb_detail::mutex

Referenced by clear_changed(), and notify_msg().

## output_changed

bool gr::tpb_detail::output_changed

Referenced by clear_changed(), notify_msg(), and tpb_detail().

## output_cond

gr::thread::condition_variable gr::tpb_detail::output_cond

Referenced by notify_msg().

The documentation for this struct was generated from the following file:

- tpb_detail.h